org.eclipse.emf.cdo.common.branch

## Interface CDOBranchChangedEvent

- All Superinterfaces:
    CDOBranchProvider, IEvent
  All Known Subinterfaces:
    CDOBranchCreatedEvent

      public interface CDOBranchChangedEvent
      extends IEvent, CDOBranchProvider

  An `event` fired from a `branch manager` when a new `branch` has been created.
  Since:
    4.3
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `CDOBranchChangedEvent.ChangeKind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOBranch` | `getBranch()`
    `CDOBranchChangedEvent.ChangeKind` | `getChangeKind()`
    `CDOBranchManager` | `getSource()`

- - ### Method Detail

    - #### getSource

          CDOBranchManager getSource()

      Specified by:
        `getSource` in interface `IEvent`

    - #### getBranch

          CDOBranch getBranch()

      Specified by:
        `getBranch` in interface `CDOBranchProvider`

    - #### getChangeKind

          CDOBranchChangedEvent.ChangeKind getChangeKind()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html